@import "src/styles/scss/partials/mixins";

.root {
    border-radius: var(--border-radius-small);
    aspect-ratio: 1/1;
    cursor: pointer;
    background-size: cover;

    &__container {
        display: flex;
        align-items: flex-end;
        height: 100%;
        border-radius: var(--border-radius-small);

        &__title {
            width: 100%;
            color: var(--white);
            text-transform: uppercase;
            margin: var(--spacing-x-large) var(--spacing-xx-large);
        }

        &__selected {
            background-color: rgba(0, 0, 0, 0.664);
            position: relative;

            &__icon {
                width: 35px;
                height: 35px;
                position: absolute;
                fill: var(--green-500);
                top: var(--spacing-x-large);
                right: var(--spacing-x-large);

                path {
                    fill: var(--green-500);
                }
            }
        }
    }
}